# Default values for sylva-logging-flows
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

flows: {}
  # flow-sample:
  #   namespace: sylva-system
  #   flowLabel: string
  #   globalOutputRefs:
  #   - globalOutputRef1
  #   - globalOutputRef2
  #   localOutputRefs:
  #   - localOutputRef1
  #   - localOutputRef2
  #   loggingRef: "loggingRef"
  #   match:
  #   - select:
  #       container_names:
  #       - "container1"
  #       - "container2"
  #       hosts:
  #       - "host1"
  #       - "host2"
  #       labels:
  #         app: nginx
  #   - exclude:
  #       container_names:
  #       - "container1"
  #       - "container2"
  #       hosts:
  #       - "host3"
  #       - "host4"
  #       labels:
  #         app: nginx
  #   filters:
  #   - concat:
  #       partial_key: "partial_message"
  #       separator: ""
  #       n_lines: 10
  #   - dedot:
  #       de_dot_separator: "-"
  #       de_dot_nested: true
  #   - detectExceptions:
  #       languages: java, python
  #       multiline_flush_interval: 0.1
  #   - elasticsearch_genid:
  #       hash_id_key: gen_id
  #   - enhanceK8s:
  #       api_groups: ["apps/v1", "extensions/v1beta1"]
  #       bearer_token_file: "aeeg"
  #   - geoip:
  #       geoip_lookup_keys: remote_addr
  #       records:
  #         - city: ${city.names.en["remote_addr"]}
  #           location_array: '''[${location.longitude["remote"]},${location.latitude["remote"]}]'''
  #           country: ${country.iso_code["remote_addr"]}
  #           country_name: ${country.names.en["remote_addr"]}
  #           postal_code:  ${postal.code["remote_addr"]}
  #   - grep:
  #       regexp:
  #         key: "key"
  #         pattern: "pattern-test"
  #   - kube_events_timestamp:
  #       timestamp_fields:
  #         - "event.eventTime"
  #         - "event.lastTimestamp"
  #         - "event.firstTimestamp"
  #       mapped_time_key: mytimefield
  #   - parser:
  #       type: multi_format
  #       patterns:
  #       - format: nginx
  #       - format: regexp
  #         expression: /foo/
  #       - format: none
  #   - prometheus:
  #       metrics:
  #       - name: total_counter
  #         desc: The total number of foo in message.
  #         type: counter
  #         labels:
  #           foo: bar
  #       labels:
  #         host: ${hostname}
  #         tag: ${tag}
  #         namespace: $.kubernetes.namespace
  #   - record_modifier:
  #       records:
  #       - foo: "bar"
  #   - record_transformer:
  #       records:
  #       - foo: "bar"
  #   - stdout:
  #       output_type: json
  #   - sumologic:
  #       source_name: "elso"
  #   - tag_normaliser:
  #       format: cluster1.${namespace_name}.${pod_name}.${labels.app}
  #   - throttle:
  #       group_key: "$.kubernetes.container_name"
  #   - useragent:
  #       key_name: my_agent
  #       delete_key: true
  #       out_key: ua_fields
  #       flatten: true
  # flow-sample2:
  #   namespace: kube-system
  #   localOutputRefs:
  #   - egeg
  #   match:
  #   - select:
  #       container_names:
  #       - "container1"
  #       - "container2"
  #       hosts:
  #       - "host1"
  #       - "host2"
  #       labels:
  #         app: nginx
  #     exclude:
  #       container_names:
  #       - "container1"
  #       - "container2"
  #       hosts:
  #       - "host3"
  #       - "host4"
  #       labels:
  #         app: nginx
  #   filters:
  #   - concat:
  #       partial_key: "partial_message"
  #       separator: ""
  #       n_lines: 10
  #   - dedot:
  #       de_dot_separator: "-"
  #       de_dot_nested: true

clusterflows: {}
  # clusterflow-sample:
  #   flowLabel: string
  #   globalOutputRefs:
  #   - globalOutputRef1
  #   - globalOutputRef2
  #   loggingRef: "loggingRef"
  #   match:
  #   - select:
  #       container_names:
  #       - "container1"
  #       - "container2"
  #       hosts:
  #       - "host1"
  #       - "host2"
  #       labels:
  #         app: nginx
  #   - exclude:
  #       container_names:
  #       - "container1"
  #       - "container2"
  #       hosts:
  #       - "host3"
  #       - "host4"
  #       labels:
  #         app: nginx
  #   filters:
  #   - concat:
  #       partial_key: "partial_message"
  #       separator: ""
  #       n_lines: 10
  #   - dedot:
  #       de_dot_separator: "-"
  #       de_dot_nested: true
  #   - detectExceptions:
  #       languages: java, python
  #       multiline_flush_interval: 0.1
  #   - elasticsearch_genid:
  #       hash_id_key: gen_id
  #   - enhanceK8s:
  #       api_groups: ["apps/v1", "extensions/v1beta1"]
  #       bearer_token_file: "aeeg"
  #   - geoip:
  #       geoip_lookup_keys: remote_addr
  #       records:
  #         - city: ${city.names.en["remote_addr"]}
  #           location_array: '''[${location.longitude["remote"]},${location.latitude["remote"]}]'''
  #           country: ${country.iso_code["remote_addr"]}
  #           country_name: ${country.names.en["remote_addr"]}
  #           postal_code:  ${postal.code["remote_addr"]}
  #   - grep:
  #       regexp:
  #         key: "key"
  #         pattern: "pattern-test"
  #   - kube_events_timestamp:
  #       timestamp_fields:
  #         - "event.eventTime"
  #         - "event.lastTimestamp"
  #         - "event.firstTimestamp"
  #       mapped_time_key: mytimefield
  #   - parser:
  #       type: multi_format
  #       patterns:
  #       - format: nginx
  #       - format: regexp
  #         expression: /foo/
  #       - format: none
  #   - prometheus:
  #       metrics:
  #       - name: total_counter
  #         desc: The total number of foo in message.
  #         type: counter
  #         labels:
  #           foo: bar
  #       labels:
  #         host: ${hostname}
  #         tag: ${tag}
  #         namespace: $.kubernetes.namespace
  #   - record_modifier:
  #       records:
  #       - foo: "bar"
  #   - record_transformer:
  #       records:
  #       - foo: "bar"
  #   - stdout:
  #       output_type: json
  #   - sumologic:
  #       source_name: "elso"
  #   - tag_normaliser:
  #       format: cluster1.${namespace_name}.${pod_name}.${labels.app}
  #   - throttle:
  #       group_key: "$.kubernetes.container_name"
  #   - useragent:
  #       key_name: my_agent
  #       delete_key: true
  #       out_key: ua_fields
  #       flatten: true

outputs: {}
#  output_sample1:
#    syslog:
#      host: SYSLOG-HOST
#      port: 123
#      allow_self_signed_cert: true
#      client_cert_path: "/tmp/crt"
#      enable_system_cert_store: true
#      fqdn: SYSLOG_FQDN
#      insecure: true
#      private_key_passphrase: "abcd"
#      private_key_path: "/tmp/key"
#      slow_flush_log_threshold: "threshold"
#      transport: "tls"
#      trusted_ca_path: "/tmp/ca"
#      verify_fqdn: true
#      version: “TLSv1_2”
#      format:
#        app_name_field: "example.custom_field_1"
#        proc_id_field: "example.custom_field_2"
#      buffer:
#        timekey: 1m
#        timekey_wait: 10s
#        timekey_use_utc: true

clusteroutputs: {}
#  output_sample1:
#    syslog:
#      enabledNamespaces:
#      - kube-system
#      - sylva-system
#      host: SYSLOG-HOST
#      port: 123
#      allow_self_signed_cert: true
#      client_cert_path: "/tmp/crt"
#      enable_system_cert_store: true
#      fqdn: SYSLOG_FQDN
#      insecure: true
#      private_key_passphrase: "abcd"
#      private_key_path: "/tmp/key"
#      slow_flush_log_threshold: "threshold"
#      transport: "tls"
#      trusted_ca_path: "/tmp/ca"
#      verify_fqdn: true
#      version: “TLSv1_2”
#      format:
#        app_name_field: "example.custom_field_1"
#        proc_id_field: "example.custom_field_2"
#      buffer:
#        timekey: 1m
#        timekey_wait: 10s
#        timekey_use_utc: true
